%define section Multimedia/Video
%define lib_name lib%name

Name: smpeg
Summary: summary SDL MPEG Library
Version: 0.4.4
Release: alt5
License: LGPL
Group: Video
URL: http://www.lokigames.com/development/smpeg.php3
Source: %name-%version.tar.bz2
Source10: gtv_16x16.xpm.bz2
Source11: gtv_32x32.xpm.bz2
Source12: gtv_48x48.xpm.bz2
Patch0: smpeg-remove-rpath-in-smpeg-config.patch
Patch1: smpeg-0.4.4-libsupc++.patch

# Automatically added by buildreq on Wed Oct 23 2002
BuildRequires: XFree86-devel-static XFree86-libs aalib-devel esound-devel gcc-c++ glib-devel glibc-devel-static gtk+-devel libGLU-devel libSDL-devel libalsa2-devel libarts-devel libaudiofile-devel libgpm-devel libslang-devel libstdc++-devel

BuildRequires: automake_1.4

%description
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder and SPLAY,
an mpeg audio decoder created by Woo-jae Jung. We have completed the
initial work to wed these two projects in order to create a general
purpose MPEG video/audio player for the Linux OS.

%package -n %lib_name
Summary: Main library for %name
Group: System/Libraries
Obsoletes: %lib_name
Provides: %lib_name = %version-%release

%description -n %lib_name
This package contains the library needed to run programs dynamically
linked with %name.

%package -n %lib_name-devel
Summary: Headers for developing programs that will use %name
Group: Development/C
Requires: %lib_name = %version
Provides: %lib_name-devel = %version-%release
Obsoletes: %lib_name-devel

%description -n %lib_name-devel
This package contains the headers that programmers will need to develop
applications which will use %name.

%package -n %lib_name-devel-static
Summary: Static libraries for developing programs that will use %name
Group: Development/C
Requires: %lib_name-devel = %version
Obsoletes: %lib_name-devel-static

%description -n %lib_name-devel-static
This package contains the static libraries that programmers will need to develop
applications which will use %name.

%package -n %name-player
Summary: Simple MPEG player baed on %name library
Group: Video
Obsoletes: %name-player

%description -n %name-player
This package contains a MPEG player based on %name.

%prep
%setup -q
%patch0 -p0 -b .rpath
%patch1 -p1 -b .libsupc

%set_automake_version 1.4

# needed by Patch1
automake --foreign

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%_prefix
else
  %configure
fi
%make_build

%install
%makeinstall

%__mkdir_p %buildroot%_miconsdir
%__mkdir_p %buildroot%_liconsdir
bzcat %SOURCE10 > %buildroot%_miconsdir/gtv.xpm
bzcat %SOURCE11 > %buildroot%_iconsdir/gtv.xpm
bzcat %SOURCE12 > %buildroot%_liconsdir/gtv.xpm

mkdir -p %buildroot%_menudir
cat > %buildroot%_menudir/%name-player << EOF
?package(%name-player): command="%_bindir/gtv" \
needs="X11" icon="gtv.xpm" \
section="%section" \
title="Gtv Mpeg player" \
longtitle="Gtv Mpeg video player"
EOF

%post -n %name-player
%update_menus

%postun -n %name-player
%clean_menus

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%files -n %name-player
%doc CHANGES COPYING README
%_bindir/plaympeg
%_bindir/gtv
%_bindir/glmovie
%_mandir/*/*
%_menudir/%name-player
%_iconsdir/gtv.xpm
%_miconsdir/gtv.xpm
%_liconsdir/gtv.xpm

%files -n %lib_name
%doc CHANGES COPYING README
%_libdir/lib*.so.*

%files -n %lib_name-devel
%doc CHANGES COPYING README
%_bindir/smpeg-config
%_includedir/*
%_libdir/*.so

%files -n %lib_name-devel-static
%_libdir/*.a

%changelog
* Sun Dec 14 2003 Rider <rider@altlinux.ru> 0.4.4-alt5
- removed .la files

* Fri Oct 17 2003 Rider <rider@altlinux.ru> 0.4.4-alt4
- fix build

* Wed Oct 23 2002 Grigory Milev <week@altlinux.ru> 0.4.4-alt3
- rebuild with new directfb

* Tue Oct 01 2002 Rider <rider@altlinux.ru> 0.4.4-alt2
- BuildRequires fix
- gcc 3.2 rebuild
- specfile cleanup

* Wed Jul 18 2001 Sergie Pugachev <fd_rag@altlinux.ru> 0.4.4-alt1
- new version

* Mon Apr 16 2001 Kostya Timoshenko <kt@altlinux.ru> 0.4.3-alt2
- fix section Multimedia/Video

* Wed Apr 10 2001 Rider <rider@altlinux.ru> 0.4.3-alt1
- 0.4.3

* Wed Apr  4 2001 Kostya Timoshenko <kt@altlinux.ru> 0.4.2-ipl6mdk
- Rebuild with SDL-1.2.0
- Moved static libraries to devel-static subpackage.

* Tue Mar 13 2001 Kostya Timoshenko <kt@petr.kz> 0.4.2-ipl5mdk
- build for RE

* Thu Mar  8 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.2-4mdk
- rename player subpackage to "smpeg-player"

* Mon Mar  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.2-3mdk
- fix smpeg-config to not provide rpath
- fix provides
- bzip icons

* Tue Jan 23 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.4.2-2mdk
- corrected doc file list for libsmpeg package

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Fri Dec  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.1-4mdk
- better new lib policy, do not generate anymore an ambiguous package
  containing binaries but with the old lib name

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.1-3mdk
- follow new lib policy, split packages with binaries

* Wed Oct 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.1-2mdk
- rebuild to ensure that icons are not executables

* Tue Oct 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.1-1mdk
- 0.4.1

* Fri Sep 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-10mdk
- rebuild against fixed XFree4 by fredl

* Thu Sep 14 2000 Florin Grad <florin@mandrakesoft.com> 0.4.0-9mdk
- now we have transparent icons

* Thu Sep 07 2000 Florin Grad <florin@mandrakesoft.com> 0.4.0-8mdk
- removed the explicit icon path

* Thu Aug 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-7mdk
- explicit name for menu entry :-)

* Wed Aug 30 2000 Florin Grad <florin@mandrakesoft.com> 0.4.0-6mdk

* Mon Aug 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.4.0-5mdk
- make coherent menu name. Thanks Fred.

* Mon Aug 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.4.0-4mdk
- rebuilt for latest SDL 1.1.4.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.0-3mdk
- automatically added BuildRequires.

* Wed Aug 02 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.4.0-2mdk
- macroszifications.
- BM.

* Fri Jun 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-1mdk
- v0.4.0.

* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.3.5-2mdk
- fixed "Requires",

* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.3.5-1mdk
- new version,
- merged with loki's original rpm (add devel rpm!).
- menu entry and icon (by Hlne Durosini) for gtv.

* Tue Feb 07 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- mandrake adations.
- added BuildPreReq.
- updated to version 0.3.3.

* Wed Jan 19 2000 Sam Lantinga <hercules@lokigames.com>
- initial release.

